API Reference
Chats
Send and retrieve chat messages for an app’s chat channels.
Endpoints
Send Message
POST /api/v2/chats/sendGet Messages
POST /api/v2/chats/getSend
POST /api/v2/chats/send
{
"session_id": "dc1ce...a3a75",
"channel_name": "general",
"message": "hello"
}
{
"success": true,
"message": "Message sent successfully",
"data": {
"id": 123,
"username": "12",
"message": "hello",
"created_at": "2026-04-13T12:00:00.000Z"
}
}
Send errors
MISSING_FIELDS, INVALID_SESSION, SESSION_EXPIRED, USERNAME_NOT_LINKED,
CHANNEL_NOT_FOUND, USER_MUTED, INTERNAL
Get
POST /api/v2/chats/get
{
"session_id": "dc1ce...a3a75",
"channel_name": "general",
"limit": 50,
"cursor": null
}
{
"success": true,
"message": "Messages retrieved successfully",
"data": {
"channel_name": "general",
"messages": [],
"pagination": {
"limit": 50,
"next_cursor": null,
"has_more": false
}
}
}
Get errors
MISSING_FIELDS, INVALID_SESSION, SESSION_EXPIRED, CHANNEL_NOT_FOUND, INTERNAL